Bug 1286930 - No 'resolv.conf' while using default DNSSEC resolver
No 'resolv.conf' while using default DNSSEC resolver
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: dnssec-trigger (Show other bugs)
24
All Linux
unspecified Severity high
: ---
: ---
Assigned To: Tomáš Hozza
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-01 01:24 EST by pjp
Modified: 2017-08-08 08:28 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:28:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description pjp 2015-12-01 01:24:57 EST
In one of the lists Matthew mentioned about this issue he faced while using the proposed default DNSSEC resolver(unbound + dnssec-trigger) solution[*].

+-- On Mon, 30 Nov 2015, Matthew Miller wrote --+
| If it helps, I'm pretty sure it can be replicated very easily if you're
| traveling through the Detroit airport. :) There weren't any error messages
| -- there just wasn't any DNS. In some situations, I've ended up without an
| /etc/resolv.conf at all, and in others, it's been there pointing to the
| local resolver but that's mysteriously not returning results.
|


[*] https://fedoraproject.org/wiki/Changes/Default_Local_DNS_Resolver
Comment 1 Tomáš Hozza 2015-12-01 06:18:19 EST
I experienced the same issue before. From what I can tell, it is happening from the times dnssec-trigger script was modified to use symlinks and other things around resolv.conf management. Also SELinux was previously forbidding dnssec-trigger script to write in /etc. However is should work now.

Anyway the best thing to do is to add 'debug=yes' to /etc/dnssec.conf and set the verbosity to '5' or so in /etc/dnssec-trigger/dnssec-trigger.conf and then attach the logs from journal when it happens.
Comment 2 Paul Wouters 2015-12-01 10:17:28 EST
I actually regularly hit this too. I'll enable the debug and see if i can reproduce it. It seems related to trying to switch the applet to manually reprobe.
Comment 3 Matthew Miller 2015-12-01 10:19:15 EST
Thanks Tomas. I'll set the debug config, and give more information when I have it.
Comment 4 Christian Stadelmann 2015-12-16 12:18:22 EST
Is this issue the reason why I am getting

avahi-daemon[909]: Successfully called chroot().
avahi-daemon[909]: Successfully dropped remaining capabilities.
avahi-daemon[929]: chroot.c: open() failed: No such file or directory
avahi-daemon[909]: Failed to open /etc/resolv.conf: Invalid argument
avahi-daemon[909]: No service file found in /etc/avahi/services.
avahi-daemon[909]: Network interface enumeration completed.

on every boot with a machine that has both avahi and dnssec-trigger installed and active?
Comment 5 Tomáš Hozza 2015-12-17 05:56:45 EST
(In reply to Christian Stadelmann from comment #4)
> Is this issue the reason why I am getting
> 
> avahi-daemon[909]: Successfully called chroot().
> avahi-daemon[909]: Successfully dropped remaining capabilities.
> avahi-daemon[929]: chroot.c: open() failed: No such file or directory
> avahi-daemon[909]: Failed to open /etc/resolv.conf: Invalid argument
> avahi-daemon[909]: No service file found in /etc/avahi/services.
> avahi-daemon[909]: Network interface enumeration completed.
> 
> on every boot with a machine that has both avahi and dnssec-trigger
> installed and active?

Please attach the information described in comment #1. Thank you in advance.
Comment 6 Christian Stadelmann 2016-01-18 10:54:21 EST
Hm, the line "Failed to open /etc/resolv.conf: Invalid argument" is now gone. There was a SELinux issue related to that I think.
Comment 7 Jan Kurik 2016-02-24 10:32:10 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 8 Fedora End Of Life 2017-07-25 15:35:07 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 9 Christian Stadelmann 2017-07-26 15:29:13 EDT
Cannot reproduce this on Fedora 26 any more.
Comment 10 Fedora End Of Life 2017-08-08 08:28:58 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.